import {
    getProducts
} from '~/api/global'

Component({
    properties: {

    },
    data: {
        show: false,
        products: [],
        // 是否购买过vip
        isPreferential: false
    },
    methods: {
        open() {
            this.getProducts()
            this.setData({
                show: true,
            })
        },
        closeModal() {
            this.setData({
                show: false
            })
        },
        async getProducts() {
            let {
                isPreferential,
                productList: products,
            } = await getProducts()
            this.setData({
                products,
                isPreferential
            })
        },
        triggerPay({
            currentTarget
        }) {
            this.triggerEvent('toBuy', currentTarget.dataset.goods)
        }
    }
})